<div class="products-cpes-container">
  <nz-table #cpesTable
            [nzData]="this.productCPEs"
            nzSize="small"
            nzTableLayout="auto"
            [nzLoading]="this.loading"
            [nzBordered]="true"
            [nzFrontPagination]="true"
            [nzShowSizeChanger]="true">
    <thead>
      <tr>
        <th>Title</th>
        <th>CPE Uri</th>
        <th [nzSortFn]="sortDate"
            class="date-column">Last modified date</th>
        <th>Assign CPE</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of cpesTable.data">
        <td>{{ data.title }}</td>
        <td>{{ data.cpeUri }}</td>
        <td class="date-column">{{ data.lastModifiedDate | date: 'MMM d, y, HH:mm:ss' }}</td>
        <td class="assign-cpe-column"> <button nz-button
                  nzSize="small"
                  nz-popconfirm
                  nzPopconfirmTitle="Are you sure you want to assign this CPE?"
                  (nzOnConfirm)="onAssignClicked(data)">Assign</button></td>
      </tr>
    </tbody>
  </nz-table>
</div>
